Package com.io7m.coffeepick.runtime.parser.spi

# Class SPIParserRequest.Builder

java.lang.Object
com.io7m.coffeepick.runtime.parser.spi.SPIParserRequest.Builder

Enclosing class:
  SPIParserRequest

    public static final class SPIParserRequest.Builder
    extends java.lang.Object

Builds instances of type `SPIParserRequest`. Initialize attributes and then invoke the `build()` method to create an immutable instance.

`Builder` is not thread-safe and generally should not be stored in a field or collection, but instead used immediately to create instances.

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `SPIParserRequest` | `build()` | Builds a new `SPIParserRequest`.
  `SPIParserRequest.Builder` | `from​(SPIParserRequestType instance)` | Fill a builder with attribute values from the provided `SPIParserRequestType` instance.
  `SPIParserRequest.Builder` | `setFile​(java.net.URI file)` | Initializes the value for the `file` attribute.
  `SPIParserRequest.Builder` | `setStream​(java.io.InputStream stream)` | Initializes the value for the `stream` attribute.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Method Details

  - ### from

    public final SPIParserRequest.Builder from​(SPIParserRequestType instance)
    Fill a builder with attribute values from the provided `SPIParserRequestType` instance. Regular attribute values will be replaced with those from the given instance. Absent optional values will not replace present values.
    Parameters:
      `instance` - The instance from which to copy values
    Returns:
      `this` builder for use in a chained invocation

  - ### setFile

    public final SPIParserRequest.Builder setFile​(java.net.URI file)
    Initializes the value for the `file` attribute.
    Parameters:
      `file` - The value for file
    Returns:
      `this` builder for use in a chained invocation

  - ### setStream

    public final SPIParserRequest.Builder setStream​(java.io.InputStream stream)
    Initializes the value for the `stream` attribute.
    Parameters:
      `stream` - The value for stream
    Returns:
      `this` builder for use in a chained invocation

  - ### build

    public SPIParserRequest build()
    Builds a new `SPIParserRequest`.
    Returns:
      An immutable instance of SPIParserRequest
    Throws:
      `java.lang.IllegalStateException` - if any required attributes are missing